Bug 12585 - NT_STATUS_RPC_PROCNUM_OUT_OF_RANGE NT_STATUS_RPC_ENUM_VALUE_OUT_OF_RANGE mismatch for DCERPC_NCA_S_FAULT_INVALID_TAG
NT_STATUS_RPC_PROCNUM_OUT_OF_RANGE NT_STATUS_RPC_ENUM_VALUE_OUT_OF_RANGE mism...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 18:30 UTC by Stefan Metzmacher
Modified: 2017-03-02 08:02 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-6-test (1.80 KB, patch)
2017-02-22 17:45 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-5-test (1.80 KB, patch)
2017-02-22 17:45 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-4-test (1.80 KB, patch)
2017-02-22 17:46 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-02-15 18:30:22 UTC
DCERPC_NCA_S_FAULT_INVALID_TAG used to map to NT_STATUS_RPC_ENUM_VALUE_OUT_OF_RANGE,
but commit 1eef70872930fa4f9d3dedd23476b34cae638428 changed it
to NT_STATUS_RPC_PROCNUM_OUT_OF_RANGE.

As a result 'net rpc join' against an NT4 domain doesn't have
the required fallback based on NT_STATUS_RPC_ENUM_VALUE_OUT_OF_RANGE.
Comment 1 Stefan Metzmacher 2017-02-22 17:45:05 UTC
Created attachment 12960 [details]
Patch for v4-6-test
Comment 2 Stefan Metzmacher 2017-02-22 17:45:41 UTC
Created attachment 12961 [details]
Patch for v4-5-test
Comment 3 Stefan Metzmacher 2017-02-22 17:46:12 UTC
Created attachment 12962 [details]
Patch for v4-4-test
Comment 4 Ralph Böhme 2017-02-22 17:55:53 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 5 Karolin Seeger 2017-02-24 08:37:51 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 6 Karolin Seeger 2017-03-02 08:02:32 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!